<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SC Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">SC Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d0/ddd/group___n_a_n_o1_x2___s_c___driver.html">SC Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for SC Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ade_2dd5_2group______n__a__n__o1__x2______s__c______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">SC Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gab1a473b529ef7082465c9a36b4be3472"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1a473b529ef7082465c9a36b4be3472">SC_INTERFACE_NUM</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:gab1a473b529ef7082465c9a36b4be3472"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4139385096ce734bae06ffcf9b3e17f8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">SC_PIN_STATE_HIGH</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga4139385096ce734bae06ffcf9b3e17f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga701f03dee8707fc79904c366ba9c1ecd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">SC_PIN_STATE_LOW</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga701f03dee8707fc79904c366ba9c1ecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb55b76af45870f987a07a7eb77a48be"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb55b76af45870f987a07a7eb77a48be">SC_PIN_STATE_IGNORE</a>&#160;&#160;&#160;0xFFFFFFFF</td></tr>
<tr class="separator:gaeb55b76af45870f987a07a7eb77a48be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae3a1226e02cda376b379e6534fd15cd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3a1226e02cda376b379e6534fd15cd">SC_CLK_ON</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:gaae3a1226e02cda376b379e6534fd15cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7594c159808693097956544911873706"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7594c159808693097956544911873706">SC_CLK_OFF</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga7594c159808693097956544911873706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae87df6cf79c2a8d4d11800abdc12fd3d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae87df6cf79c2a8d4d11800abdc12fd3d">SC_TMR_MODE_0</a>&#160;&#160;&#160;(0ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gae87df6cf79c2a8d4d11800abdc12fd3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae0f8c207f06d76ac991f83f4e9e4ef1c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae0f8c207f06d76ac991f83f4e9e4ef1c">SC_TMR_MODE_1</a>&#160;&#160;&#160;(1ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gae0f8c207f06d76ac991f83f4e9e4ef1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga678d4e7a4f4df9c67620f61a4a8c9d83"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga678d4e7a4f4df9c67620f61a4a8c9d83">SC_TMR_MODE_2</a>&#160;&#160;&#160;(2ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga678d4e7a4f4df9c67620f61a4a8c9d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e993e725d025908a74b00de76959cfc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e993e725d025908a74b00de76959cfc">SC_TMR_MODE_3</a>&#160;&#160;&#160;(3ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga1e993e725d025908a74b00de76959cfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadda1fe01cd6041b3a0a5b873928d99da"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadda1fe01cd6041b3a0a5b873928d99da">SC_TMR_MODE_4</a>&#160;&#160;&#160;(4ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gadda1fe01cd6041b3a0a5b873928d99da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc35fb3ef29c35ae19726dbdeb821991"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc35fb3ef29c35ae19726dbdeb821991">SC_TMR_MODE_5</a>&#160;&#160;&#160;(5ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gacc35fb3ef29c35ae19726dbdeb821991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94cf6d5c9afc10553eea1d7b451943e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94cf6d5c9afc10553eea1d7b451943e1">SC_TMR_MODE_6</a>&#160;&#160;&#160;(6ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga94cf6d5c9afc10553eea1d7b451943e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga679670797f561a5b4e15f4bf0d9ba6e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga679670797f561a5b4e15f4bf0d9ba6e4">SC_TMR_MODE_7</a>&#160;&#160;&#160;(7ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga679670797f561a5b4e15f4bf0d9ba6e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54e0f8ab6f2f17e48af5d64e923d029c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga54e0f8ab6f2f17e48af5d64e923d029c">SC_TMR_MODE_8</a>&#160;&#160;&#160;(8ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga54e0f8ab6f2f17e48af5d64e923d029c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94ae5ed2453af741c1895a68cb51161b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94ae5ed2453af741c1895a68cb51161b">SC_TMR_MODE_F</a>&#160;&#160;&#160;(0xF &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga94ae5ed2453af741c1895a68cb51161b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga7594c159808693097956544911873706" name="ga7594c159808693097956544911873706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7594c159808693097956544911873706">&#9670;&nbsp;</a></span>SC_CLK_OFF</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_CLK_OFF&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Smartcard clock off <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00037">37</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gaae3a1226e02cda376b379e6534fd15cd" name="gaae3a1226e02cda376b379e6534fd15cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaae3a1226e02cda376b379e6534fd15cd">&#9670;&nbsp;</a></span>SC_CLK_ON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_CLK_ON&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Smartcard clock on <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00036">36</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gab1a473b529ef7082465c9a36b4be3472" name="gab1a473b529ef7082465c9a36b4be3472"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab1a473b529ef7082465c9a36b4be3472">&#9670;&nbsp;</a></span>SC_INTERFACE_NUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_INTERFACE_NUM&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Smartcard interface numbers </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00032">32</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga4139385096ce734bae06ffcf9b3e17f8" name="ga4139385096ce734bae06ffcf9b3e17f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4139385096ce734bae06ffcf9b3e17f8">&#9670;&nbsp;</a></span>SC_PIN_STATE_HIGH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_PIN_STATE_HIGH&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Smartcard pin status high <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00033">33</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gaeb55b76af45870f987a07a7eb77a48be" name="gaeb55b76af45870f987a07a7eb77a48be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaeb55b76af45870f987a07a7eb77a48be">&#9670;&nbsp;</a></span>SC_PIN_STATE_IGNORE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_PIN_STATE_IGNORE&#160;&#160;&#160;0xFFFFFFFF</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Ignore pin status <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00035">35</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga701f03dee8707fc79904c366ba9c1ecd" name="ga701f03dee8707fc79904c366ba9c1ecd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga701f03dee8707fc79904c366ba9c1ecd">&#9670;&nbsp;</a></span>SC_PIN_STATE_LOW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_PIN_STATE_LOW&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Smartcard pin status low <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00034">34</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gae87df6cf79c2a8d4d11800abdc12fd3d" name="gae87df6cf79c2a8d4d11800abdc12fd3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae87df6cf79c2a8d4d11800abdc12fd3d">&#9670;&nbsp;</a></span>SC_TMR_MODE_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_0&#160;&#160;&#160;(0ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 0, down count <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00039">39</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gae0f8c207f06d76ac991f83f4e9e4ef1c" name="gae0f8c207f06d76ac991f83f4e9e4ef1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae0f8c207f06d76ac991f83f4e9e4ef1c">&#9670;&nbsp;</a></span>SC_TMR_MODE_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_1&#160;&#160;&#160;(1ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 1, down count, start after detect start bit <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00040">40</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga678d4e7a4f4df9c67620f61a4a8c9d83" name="ga678d4e7a4f4df9c67620f61a4a8c9d83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga678d4e7a4f4df9c67620f61a4a8c9d83">&#9670;&nbsp;</a></span>SC_TMR_MODE_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_2&#160;&#160;&#160;(2ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 2, down count, start after receive start bit <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00041">41</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga1e993e725d025908a74b00de76959cfc" name="ga1e993e725d025908a74b00de76959cfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1e993e725d025908a74b00de76959cfc">&#9670;&nbsp;</a></span>SC_TMR_MODE_3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_3&#160;&#160;&#160;(3ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 3, down count, use for activation, only timer 0 support this mode <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00042">42</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gadda1fe01cd6041b3a0a5b873928d99da" name="gadda1fe01cd6041b3a0a5b873928d99da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadda1fe01cd6041b3a0a5b873928d99da">&#9670;&nbsp;</a></span>SC_TMR_MODE_4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_4&#160;&#160;&#160;(4ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 4, down count with reload after timeout <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00043">43</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gacc35fb3ef29c35ae19726dbdeb821991" name="gacc35fb3ef29c35ae19726dbdeb821991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacc35fb3ef29c35ae19726dbdeb821991">&#9670;&nbsp;</a></span>SC_TMR_MODE_5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_5&#160;&#160;&#160;(5ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 5, down count, start after detect start bit, reload after timeout <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00044">44</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga94cf6d5c9afc10553eea1d7b451943e1" name="ga94cf6d5c9afc10553eea1d7b451943e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga94cf6d5c9afc10553eea1d7b451943e1">&#9670;&nbsp;</a></span>SC_TMR_MODE_6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_6&#160;&#160;&#160;(6ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 6, down count, start after receive start bit, reload after timeout </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00045">45</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga679670797f561a5b4e15f4bf0d9ba6e4" name="ga679670797f561a5b4e15f4bf0d9ba6e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga679670797f561a5b4e15f4bf0d9ba6e4">&#9670;&nbsp;</a></span>SC_TMR_MODE_7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_7&#160;&#160;&#160;(7ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 7, down count, start and reload after detect start bit <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00046">46</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga54e0f8ab6f2f17e48af5d64e923d029c" name="ga54e0f8ab6f2f17e48af5d64e923d029c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga54e0f8ab6f2f17e48af5d64e923d029c">&#9670;&nbsp;</a></span>SC_TMR_MODE_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_8&#160;&#160;&#160;(8ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 8, up count <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00047">47</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga94ae5ed2453af741c1895a68cb51161b" name="ga94ae5ed2453af741c1895a68cb51161b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga94ae5ed2453af741c1895a68cb51161b">&#9670;&nbsp;</a></span>SC_TMR_MODE_F</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_TMR_MODE_F&#160;&#160;&#160;(0xF &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer Operation Mode 15, down count, reload after detect start bit <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00048">48</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
